
TYPO3.Flow - Feature # 6120

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: Persistence
Created: 2010-01-20 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Re-implement lazy loading in persistence...
Description

We need a replacement for the lazy loading that is gone with alpha 7.

This time build it in a way that makes it really transparent (so that you don't need to take LazyLoadingProxy instances into account).

Related issues:
related to TYPO3.Flow - Major Feature # 6267: Speed up persistence Resolved 2010-01-18
blocks TYPO3.Flow - Feature # 3337: Allow to count lazy-loaded objects withou... Resolved 2009-05-16

Associated revisions
Revision 6027ad2b - 2010-03-11 21:07 - Karsten Dambekalns

[+FEATURE] FLOW3 (Persistence): Reimplemented lazy loading, resolves #6120. See updated manual for details.
[+FEATURE] FLOW3 (Persistence): Lazy loaded SplObjectStorage can now be counted without triggering activation, resolves #3337.
[~API] FLOW3 (Persistence): Moved the BackendInterface into the Backend namespace.
[-API] FLOW3 (Persistence): Removed the DataMapperInterface. Backends should follow the defined data structure.
[~TASK] FLOW3 (Persistence): Optimized clean data handling while dirty checking, reducing memory usage.

History
#1 - 2010-03-09 17:33 - Robert Lemke
- % Done changed from 0 to 90
- Estimated time set to 22.00

#2 - 2010-03-11 22:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 90 to 100

Applied in changeset r3930.
